<semantic-form fields='[
                  {
                    "id": "classtype",
                    "label": "Type",
                    "description": "The type of the created instance",
                    "xsdDatatype": "xsd:anyURI",
                    "minOccurs": "1",
                    "maxOccurs": "unbound",
                    "selectPattern": "SELECT $value WHERE { $subject a $value }",
                    "insertPattern": "INSERT { $subject a $value } WHERE {}",
                    "deletePattern": "DELETE { $subject a $value } WHERE {}"
                },
                {
                    "id": "filename",
                    "label": "Filename",
                    "description":"The filename only (e.g. alberta.png) as it is stored in the app storage.",
                    "xsdDatatype": "xsd:string",
                    "minOccurs": "1",
                    "maxOccurs": "1",
                    "selectPattern": "SELECT $value where {$subject <http://www.researchspace.org/ontology/PX_has_file_name>  $value}",
                    "insertPattern": "INSERT {$subject <http://www.researchspace.org/ontology/PX_has_file_name>  ?value } WHERE {}",
                    "deletePattern": "DELETE {$subject <http://www.researchspace.org/ontology/PX_has_file_name>  ?value } WHERE {}"
                },

                  {
                    "id": "PX_has_media_type",
                    "label": "Media Type",
                    "description": "the image type",
                    "xsdDatatype": "xsd:string",
                    "minOccurs": "1",
                    "maxOccurs": "1",
                    "selectPattern": "SELECT $value where { $subject <http://www.researchspace.org/ontology/PX_has_media_type>  ?value}",
                    "valueSetPattern": "SELECT $value $label WHERE { VALUES ($value $label) { (\"image/png\" \"image/png\") (\"image/jpg\" \"image/jpg\") (\"image/svg\" \"image/svg\") (\"image/gif\" \"image/gif\")}}",
                    "insertPattern": "INSERT { $subject <http://www.researchspace.org/ontology/PX_has_media_type>  ?value } where {}",
                    "deletePattern": "DELETE { $subject <http://www.researchspace.org/ontology/PX_has_media_type>  ?value } where {}"
                }
           ]' new-subject-template="http://www.researchspace.org/resource/EX_Digital_Image/{{filename}}" persistence='{"type": "sparql", "targetGraphIri": "http://metadata.lincsproject.ca"}'>
<div class="form-scroll-area">
<semantic-form-hidden-input default-value='["http://www.researchspace.org/ontology/EX_File", "http://www.w3.org/ns/prov#Entity", "http://www.w3.org/ns/ldp#Resource"]' for="classtype">
</semantic-form-hidden-input>
<semantic-form-text-input for="filename">
</semantic-form-text-input>
<semantic-form-select-input for="PX_has_media_type">
</semantic-form-select-input>
<semantic-form-errors>
</semantic-form-errors>
</div>
<div>
<button class="btn btn-default" name="submit">
   [[i18n "save" bundle="languages/resource_forms_admin_metadata-image-identifier" locale=this.lang]]
  </button>
<button class="btn btn-default" name="delete">
   [[i18n "delete" bundle="languages/resource_forms_admin_metadata-image-identifier" locale=this.lang]]
  </button>
<button class="btn btn-default" name="reset">
   [[i18n "reset" bundle="languages/resource_forms_admin_metadata-image-identifier" locale=this.lang]]
  </button>
</div>
</semantic-form>
